petsc-3.7.1 2016-05-15
Report Typos and Errors

# PetscRandomSetType

Builds a context for generating particular type of random numbers.

### Synopsis

    #include "petscsys.h"
    PetscErrorCode  PetscRandomSetType(PetscRandom rnd, PetscRandomType type)

Collective on PetscRandom Many br

### Input Parameters

| rnd | - The random number generator context Many br
| type | - The name of the random type Many br

### Options Database Key

-random_type <type> -Sets the random type; use -help for a list Many brof available types Many br

### Notes

See "petsc/include/petscsys.h" for available random types (for instance, PETSCRAND48, PETSCRAND). Many br

Many br

### Keywords

random, set, type

### See Also

PetscRandomGetType(), PetscRandomCreate()

Level:intermediate
Location:src/sys/classes/random/interface/randreg.c
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages